include_recipe 'cycle_server::user'

sohome    = node[:cycle_server][:so][:home]
csuser    = node[:cycle_server][:username]
csgroup   = node[:cycle_server][:group]

if node[:os] == "windows"
  log "Windows is not supported for submit once workers."
  return
end


directory sohome do
  owner csuser
  group csgroup
  mode "1777"
  recursive true
end

%w{ bin presubmit tickets }.each do |so_dir|
  directory "#{sohome}/#{so_dir}" do
    owner csuser
    group csgroup
    mode "1777"
    recursive true
  end
end

%w{ xferin.sh xferout.sh }.each do |so_script|
  cookbook_file "#{sohome}/bin/#{so_script}" do
    source "#{so_script}"
    mode 0755
    owner csuser
    group csgroup
  end
end
